PHP Manual
Prev |  | Next

# HaruEncoder::getByteType

(no version information, might be only in CVS)

HaruEncoder::getByteType -- Get the type of the byte in the text

## Description

int HaruEncoder::getByteType ( string text, int index )

Returns the type of the byte in the text on the specified position. The result is one of the following values:

`HaruEncoder::BYTE_TYPE_SINGLE` - single byte character.
`HaruEncoder::BYTE_TYPE_LEAD` - lead byte of a double-byte character.
`HaruEncoder::BYTE_TYPE_TRAIL` - trailing byte of a double-byte character.
`HaruEncoder::BYTE_TYPE_UNKNOWN` - invalid encoder or cannot detect the byte type.

## Parameters

`text`

  The text.

`index`

  The position in the text.

## Errors/Exceptions

Throws HaruException on error.

Prev | Home | Next
HaruDoc::useKRFonts | Up | HaruEncoder::getType